class Help_string {

  final static String input_help = 

  "Input\n" +
  "\nIf you are running this program as an applet (that is,\n" +
  "with appletviewer or from within a web browser), there\n" +
  "are a few built-in proofs that you can get via the\n" +
  "\"File\" menu.\n" +
  "\nIf you are running as an application, you specify\n" +
  "a proof file when you start the program, and you\n" +
  "can also load proof files via the \"File\" menu.\n" +
  "A proof file contains a proof object and nothing\n" +
  "else.\n";

  final static String selection_help = 

  "Selection\n" +
  "\nYou can select a subproof by clicking in the\n" +
  "displayed proof.  If the \"Highlight\" choice\n" +
  "button is set to \"Subproof\", the the whole\n" +
  "subproof will be shaded, and if the choice is set\n" +
  "to \"Clause\", the clause at the root of the\n" +
  "subproof will be shaded.  In either case, the\n" +
  "selected object is the subproof, not the clause.\n" +
  "\nYou can operate on the selected subproof with\n" +
  "the \"Selection\" menu.";

  final static String clause_help = 

  "Clause display\n" +
  "\nEach node of the proof tree represents a clause.\n" +
  "The node is displayed either as <ID clause> or as\n" +
  "just <ID>.  Some of the IDs may be displayed as \"i [j].\n" +
  "This means that the proof object contains\n" +
  "information on its relationship to the ordinary\n" +
  "Otter proof; in particular, [j] is the ID of the\n" +
  "corresponding clause in the ordinary Otter proof.\n" +
  "\nThe choices \"Otter clause only\" mean to display\n" +
  "the full clause only clauses with ID of the form i [j].\n" +
  "Older proof objects (before Otter 3.0.4d) do not contain\n" +
  "this information, and the choices \"Otter clause only\"\n" +
  "are not available.";

  final static String abbreviation_help = 

  "Abbreviation\n" +
  "\nA rectangle around a clause means that the\n" +
  "subproof rooted at that node is abbreviated.  In\n" +
  "the initial display of a proof, a subproof is\n" +
  "abbreviated if the full subproof appears elsewhere\n" +
  "in the display.  In addition, the user can abbreviate\n" +
  "a subproof via the \"Selection\" menu.\n" +
  "\nAn abbreviated subproof can be expanded via the\n" +
  "\"Selection\" menu.";

  public static String s(String help_type) {
    if (help_type.equals("Input"))
      return input_help;
    else if (help_type.equals("Clause display"))
      return clause_help;
    else if (help_type.equals("Selection"))
      return selection_help;
    else if (help_type.equals("Abbreviation"))
      return abbreviation_help;
    else
      return "Error, unknown help type: " + help_type;
  }

}  // Help_string
