import java.io.*;
import java.awt.*;
import java.applet.*;

public class Main extends Applet {

  Prooftran pt;

  public void init() {
    add(new Button("Show"));
    add(new Button("Hide"));

    String str = getParameter("proofs");;

    Cons proof_names;
    try { proof_names = Cons.build_cons_from_string(str); }
    catch (Cons_exception e) {
      return;
    }

    pt = new Prooftran(this, true, null, proof_names);  // applet

    pt.resize(800, 600);
    // f.show();
  }  // init

  public static void main(String args[]) {
    Main main = new Main();
    String filename = (args.length == 1 ? args[0] : null);
    main.pt = new Prooftran(main, false, filename, null);  // Not an applet
    main.pt.resize(800, 600);
    main.pt.show();
  }  // main

  public boolean action(Event evt, Object arg) {
    if (evt.target instanceof Button) {
      String label = (String) arg;
      if (label.equals("Show")) {
	if (pt != null && !pt.isShowing())
	  pt.show();
      }
      else if (label.equals("Hide")) {
	if (pt != null && pt.isShowing())
	  pt.hide();
      }
      return true;
    }
    else
      return false;
  }  // action

  static private String test_data() {
    return "(" + 
      "(1 (input) ((Q) (not (P))))" + 
      "(2 (input) ((P) (not (Q))))" + 
      "(3 (input) ((not (P)) (not (Q))))" + 
      "(4 (input) ((P) (Q)))" + 
      "(5 (resolve 2 (2) 4 (2)) ((P) (P)))" + 
      "(6 (merge 5 (2)) ((P)))" + 
      "(7 (resolve 1 (2) 6 (1)) ((Q)))" + 
      "(8 (resolve 3 (1) 6 (1)) ((not (Q))))" + 
      "(9 (resolve 8 (1) 7 (1)) ())" + 
      ")" ;

  }  //test_data

}  // Main

