
public class Parser {
  
  String str;
  int pos;
  boolean error;

  private static boolean isWhite (char c) {
    return (c == ' ' || c == '\t' || c == '\n' || c == '\r' || c == '\f');
  }

  private static boolean isDelim (char c) {
    return (Parser.isWhite(c) || c == '(' || c == ')');
  }

  public boolean moreToParse () {
    int length = str.length();
    int i = pos;

    while (i < length && Parser.isWhite(str.charAt(i)))
      i++;
    return (i != length);
  }

  public String getToken () {
    int length = str.length();

    while (pos < length && Parser.isWhite(str.charAt(pos)))
      pos++;

    if (pos == length) {
      return "";  // No (more) tokens in the string.
    }
    else {
      char c = str.charAt(pos);
      if (c == '(' || c == ')') {
	pos++;
	return String.valueOf(c);
      }
      else {
	int save_pos = pos;
	while (pos < length && !Parser.isDelim(str.charAt(pos)))
	  pos++;
	
	return str.substring(save_pos, pos);
      }
    }
  }
}
